Subject: RE: DVMRP doubt

From: "Shekhar, Ravi" <[email-masked]>
Date: Mon, 24 Apr 2000 12:54:32 -0400

> Hi all,
>  I have a question regarding DVMRP v3 as explained in 
> draft-ietf-idmr-dvmrp-v3(September 
> 1999).
> 
>  Prune messages are sent to prune the multicast tree and 
> graft messages to add the 
> branches.I donot understand the need for prune timers. Why do 

         Its required to flush out the SG state created due to arrival of 
data. When the prunes on all the downstream dependent interfaces 
timeout, SG state is removed from the router (putting it back to the 
default behaviour of flooding on all downstream dependent intfs when
data arrives next time). A downstream router need not graft back when 
prune timer expires. Upstream will automatically time it out. But it may 
be required for interoperability reasons. Ideally speaking, grafts should
only be required if a new downstream dependency appears while prune 
is in effect.

- Ravi Shekhar.

> we need to maintain prune 
> timers and join back the branches which have already been 
> pruned after the timer expires, 
> There is a specific graft messages to join back the branches. 
> 
> 
> Regards,
> Vijay
> 
> Sent by Indya Messaging Service
>